Bug 1925002 (CVE-2021-20228) - CVE-2021-20228 ansible: basic.py no_log with fallback option
Summary: CVE-2021-20228 ansible: basic.py no_log with fallback option
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-20228
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1925009 1925010 1925006 1925007 1927178
Blocks: 1921897
TreeView+ depends on / blocked
 
Reported: 2021-02-04 07:31 UTC by Tapas Jena
Modified: 2021-04-06 13:20 UTC (History)
19 users (show)

Fixed In Version: ansible-engine 2.9.18
Doc Type: ---
Doc Text:
A flaw was found in the Ansible Engine, where sensitive info is not masked by default and is not protected by the no_log feature when using the sub-option feature of the basic.py module. This flaw allows an attacker to obtain sensitive information. The highest threat from this vulnerability is to confidentiality.
Clone Of:
Environment:
Last Closed: 2021-02-24 19:02:39 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:0663 0 None None None 2021-02-24 17:46:23 UTC
Red Hat Product Errata RHSA-2021:0664 0 None None None 2021-02-24 17:47:06 UTC

Description Tapas Jena 2021-02-04 07:31:36 UTC
The return value of a specific module i.e. basic.py of ansible engine is not being masked by default while using the fallback sub-option.The return value may contain sensitive info like secret Or Credentials.

Comment 5 Tapas Jena 2021-02-10 09:59:20 UTC
External References:

https://github.com/ansible/ansible/pull/73487

Comment 6 errata-xmlrpc 2021-02-24 17:46:20 UTC
This issue has been addressed in the following products:

  Red Hat Ansible Engine 2 for RHEL 8
  Red Hat Ansible Engine 2 for RHEL 7

Via RHSA-2021:0663 https://access.redhat.com/errata/RHSA-2021:0663

Comment 7 errata-xmlrpc 2021-02-24 17:47:04 UTC
This issue has been addressed in the following products:

  Red Hat Ansible Engine 2.9 for RHEL 8
  Red Hat Ansible Engine 2.9 for RHEL 7

Via RHSA-2021:0664 https://access.redhat.com/errata/RHSA-2021:0664

Comment 8 Product Security DevOps Team 2021-02-24 19:02:39 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-20228

Comment 9 errata-xmlrpc 2021-04-06 13:20:53 UTC
This issue has been addressed in the following products:

  Red Hat Ansible Automation Platform 1.2 for RHEL 7

Via RHSA-2021:1079 https://access.redhat.com/errata/RHSA-2021:1079


Note You need to log in before you can comment on or make changes to this bug.